package com.ss.android.ugc.aweme.detail.panel;

import X.0HH;
import X.2GO;
import X.2UX;
import X.2nK;
import X.3GT;
import X.OCa;
import android.os.Build;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.RelativeLayout;
import android.widget.Toast;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.homepage.msadapt.MSAdaptionService;
import com.ss.android.ugc.aweme.mvtemplate.impl.MovieReuseServiceImpl;
import com.ss.android.ugc.aweme.shortvideo.model.MvModel;
import com.ss.android.ugc.aweme.tools.detail.IMovieReuseService;

public class MovieFeedPanel extends ShootFeedPanel implements 2GO {
    public MvModel LIZ;
    public String LIZIZ;
    public int LJJIZ;

    static {
        Covode.recordClassIndex(63741);
    }

    public final int LJIILIIL() {
        return 2131834595;
    }

    public MovieFeedPanel(Bundle bundle) {
        this.LIZ = bundle.getSerializable("feed_data_movie_model");
        this.LIZIZ = bundle.getString("feed_data_movie_group_id", "");
        this.LJJIZ = bundle.getInt("mv_type", 1);
    }

    public final View LIZ(RelativeLayout relativeLayout) {
        View LIZ2 = 0HH.LIZ(LayoutInflater.from(this.LLL), 2131559528, relativeLayout, false);
        if (this.LIZ != null) {
            OCa.LIZ(LIZ2.findViewById(2131367726), this.LIZ.getIconUrl());
            LIZ(LIZ2.findViewById(2131364812), this.LIZ.getName());
        }
        return LIZ2;
    }

    public final void LIZ(View view) {
        if (this.LLL == null || !MSAdaptionService.LIZJ().LIZIZ(this.LLL)) {
            IMovieReuseService LIZ2 = MovieReuseServiceImpl.LIZ();
            if (this.LIZ != null) {
                LIZ2.LIZ(bt_(), this.LIZ.getMvId(), this.LJJIZ);
                2UX r2 = new 2UX();
                r2.LIZ("enter_method", "mv_feed");
                r2.LIZ("mv_id", this.LIZ.getMvId());
                r2.LIZ("enter_from", "mv_page");
                r2.LIZ("shoot_way", "mv_page");
                r2.LIZ("content_type", "mv");
                r2.LIZ("group_id", this.LIZIZ);
                2nK.LIZ("shoot", r2.LIZ);
                return;
            }
            return;
        }
        Toast makeText = Toast.makeText(this.LLL, this.LLL.getString(2131824145), 0);
        if (Build.VERSION.SDK_INT == 25) {
            3GT.LIZ(makeText);
        }
        makeText.show();
    }
}
